package com.guwan.backend.dto.video;

import lombok.Data;
import java.time.LocalDateTime;
import io.swagger.v3.oas.annotations.media.Schema;

@Schema(description = "视频信息DTO")
@Data
public class VideoDTO {
    @Schema(description = "视频ID")
    private Long id;

    @Schema(description = "视频标题")
    private String title;

    @Schema(description = "视频描述")
    private String description;

    @Schema(description = "视频URL")
    private String url;

    @Schema(description = "封面URL")
    private String coverUrl;

    @Schema(description = "视频时长（秒）")
    private Long duration;

    @Schema(description = "文件大小（字节）")
    private Long size;

    @Schema(description = "状态：DRAFT-草稿，PUBLISHED-已发布，DELETED-已删除")
    private String status;

    @Schema(description = "上传用户ID")
    private Long userId;

    @Schema(description = "上传用户名")
    private String username;

    @Schema(description = "创建时间")
    private LocalDateTime createdTime;

    @Schema(description = "更新时间")
    private LocalDateTime updatedTime;

    @Schema(description = "观看次数")
    private Integer viewCount;

    @Schema(description = "点赞次数")
    private Integer likeCount;

    @Schema(description = "标签，多个用逗号分隔")
    private String tags;

    @Schema(description = "当前用户是否已点赞")
    private Boolean hasLiked;
} 