package com.guwan.backend.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import java.time.LocalDateTime;

@Data
@TableName("video")
public class Video {
    @TableId(type = IdType.AUTO)
    private Long id;
    
    private String title;           // 视频标题
    
    private String description;     // 视频描述
    
    private String url;            // 视频URL
    
    private String coverUrl;       // 封面图URL
    
    private Long duration;         // 视频时长（秒）
    
    private Long size;            // 文件大小（字节）
    
    private String status;        // 状态：DRAFT-草稿，PUBLISHED-已发布，DELETED-已删除
    
    private Long userId;          // 上传用户ID
    
    private String username;      // 上传用户名
    
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createdTime;
    
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedTime;
    
    private Integer viewCount;    // 观看次数
    
    private Integer likeCount;    // 点赞次数
    
    private String tags;         // 标签，逗号分隔
} 