package com.guwan.backend.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.guwan.backend.dto.video.VideoDTO;
import org.springframework.web.multipart.MultipartFile;

public interface VideoService {
    // 上传视频
    VideoDTO uploadVideo(MultipartFile file, String title, String description, String tags);
    
    // 更新视频信息
    VideoDTO updateVideo(VideoDTO videoDTO);
    
    // 删除视频
    void deleteVideo(Long id);
    
    // 获取视频详情
    VideoDTO getVideoById(Long id);
    
    // 分页查询视频列表
    IPage<VideoDTO> getVideoList(Integer pageNum, Integer pageSize, String keyword);
    
    // 增加观看次数
    void incrementViewCount(Long id);
    
    // 点赞/取消点赞
    void toggleLike(Long id);
} 