CREATE TABLE `video` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '视频ID',
  `title` varchar(100) NOT NULL COMMENT '视频标题',
  `description` text COMMENT '视频描述',
  `url` varchar(255) NOT NULL COMMENT '视频URL',
  `cover_url` varchar(255) DEFAULT NULL COMMENT '封面图URL',
  `duration` bigint DEFAULT NULL COMMENT '视频时长（秒）',
  `size` bigint NOT NULL COMMENT '文件大小（字节）',
  `status` varchar(20) NOT NULL COMMENT '状态：DRAFT-草稿，PUBLISHED-已发布，DELETED-已删除',
  `user_id` bigint NOT NULL COMMENT '上传用户ID',
  `username` varchar(50) DEFAULT NULL COMMENT '上传用户名',
  `created_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updated_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `view_count` int NOT NULL DEFAULT '0' COMMENT '观看次数',
  `like_count` int NOT NULL DEFAULT '0' COMMENT '点赞次数',
  `tags` varchar(255) DEFAULT NULL COMMENT '标签，逗号分隔',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_created_time` (`created_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='视频表'; 