CREATE TABLE `user_behavior` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '记录ID',
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `video_id` bigint NOT NULL COMMENT '视频ID',
  `behavior_type` varchar(20) NOT NULL COMMENT '行为类型：VIEW-观看,LIKE-点赞,SHARE-分享,FAVORITE-收藏',
  `watch_duration` int DEFAULT NULL COMMENT '观看时长(秒)',
  `watch_progress` float DEFAULT NULL COMMENT '观看进度(0-1)',
  `created_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_video_id` (`video_id`),
  KEY `idx_behavior_type` (`behavior_type`),
  KEY `idx_created_time` (`created_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='用户行为记录表'; 